unit DemoUnt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons, AttachUNT,Clipbrd, ExtCtrls;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Bar: TProgressBar;
    Edit1: TEdit;
    R: TRichEdit;
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    Attach1: TAttach;
    procedure Attach1BeforeInsertHeader(Sender: TObject);
    procedure Attach1HeaderInserted(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Attach1ChangeProgress(Sender: TObject; Progress: Integer);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Attach1BeforeInsertHeader(Sender: TObject);
begin
     Attach1.Header.Add('Prima A Run Time');
end;

procedure TForm1.Attach1HeaderInserted(Sender: TObject);
begin
     Attach1.Header.Add('Dopo A Run Time');
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
     If Attach1.execute
     then
       begin
          Edit1.Text:='Converting...';
          Update;
          Edit1.Text:='Loading in RichEdit...';
          Update;
          Attach1.Lines.SaveToFile('c:\Temp.mim');
          R.lines.LoadFromFile('c:\Temp.mim');
          DeleteFile('c:\Temp.mim');
          Edit1.Text:='Done !!!';
       end
     else
         Edit1.text:='Error!!!'
end;


procedure TForm1.Attach1ChangeProgress(Sender: TObject; Progress: Integer);
begin
     Bar.Position:=Progress;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
     If ChecKBox1.Checked
     then
         Attach1.OnChangeProgress:=Attach1ChangeProgress
     else
         Attach1.OnChangeProgress:=nil
     end;

end.
